package com.hzs.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 系统名称
 */
@AllArgsConstructor
@Getter
public enum ESysName {

    MANAGE("manage", "后台管理"),

    /**
     * 新零售
     */
    BF("bf", "新零售BF"),
    /**
     * 新零售店铺
     */
    BL("bl", "新零售店铺BL"),

    ;

    /**
     * 实际值
     */
    private final String value;
    /**
     * 显示标签
     */
    private final String label;

    public static ESysName getEnumByValue(String value) {
        for (ESysName enums : ESysName.values()) {
            if (enums.getValue().equals(value)) {
                return enums;
            }
        }
        return null;
    }

    public static String getLabelByValue(String value) {
        for (ESysName enums : ESysName.values()) {
            if (enums.getValue().equals(value)) {
                return enums.getLabel();
            }
        }
        return "";
    }

}
